Add item to report

POST https://app.cyrion.ai/api/reports/{report_id}/items

Add a single curated item to a report.

Path parameters

  • report_id (string, required)

Request body

  • analyst_notes (string)
  • content (string): Content for custom_note items
  • item_type (string, required): vulnerability, agent_finding, evidence, narrative_event, or custom_note
  • section (string): Report section: findings, narrative, appendix, observations
  • severity_override (string)
  • source_id (string): ID of the source entity (null for custom_note)
  • title_override (string)

Responses

  • 200 Successful Response
  • 422 Validation Error